<?php
/**
 * User: sunilkolla
 * Date: 04/09/15
 * Time: 14:23
 */
require '../../vendor/autoload.php';

use RedBeanPHP\R;

session_start();

// Instantiate the app
$settings = require __DIR__ . '/../../src/settings.php';

$app = new \Slim\App($settings);

$container = $app->getContainer();

$db = $settings['settings']['db'];
$url = $db['driver'].":host=".$db['host'].(!empty($db['port']) ? ";port=".$db['port'] : "").";dbname=".$db['dbname'];

R::setup($url, $db['user'], $db['pass']);
// R::freeze( true );
// R::debug(true);
R::ext('xdispense', function( $type, $limit = null ){
    return R::getRedBean()->dispense( $type );
});

// Register Twig View helper
$container['view'] = function ($c) {
    $view = new \Slim\Views\Twig('../../src/views', [
        'cache' => '../../src/cache'
    ]);

    // Instantiate and add Slim specific extension
    $basePath = rtrim(str_ireplace('index.php', '', $c['request']->getUri()->getBasePath()), '/');
    $view->addExtension(new Slim\Views\TwigExtension($c['router'], $basePath));

    return $view;
};

spl_autoload_register(function ($class) {
    if (is_file($file = '../../src/models/' . strtolower($class) . '.php')) {
        require $file;
    }
    if (is_file($file = '../../src/helpers/' . strtolower($class) . '.php')) {
        require $file;
    }
});

require '../../src/routes.php';

$app->run();
