// Filename: views/projects/list
define([
    'jquery',
    'underscore',
    'backbone',
    // Pull in the Collection module from above
    'collections/projects',
    'assets/templates/home',
    'assets/templates/_header',
    'assets/templates/_task'
    //,
    //'text!templates/projects/list.html'
], function($, _, Backbone, ProjectsCollection, HomeTemplate, HeaderTemplate, TaskTemplate) {
    var ProjectListView = Backbone.View.extend({
        el: $("#container"),
        initialize: function() {
            //var compiledTemplate = HomeTemplate(data);
            // this.$el.html(compiledTemplate);
            // this.model.bind("reset", this.render, this);
        },

        render: function(eventName) {
            var projects = new ProjectsCollection(),
                that = this,
                tokenString = localStorage.getItem("comm_token"),
                uid = localStorage.getItem("comm_uid");

            if (Modernizr.csscolumns) {
                $('html').addClass('csscolumns');
            } else {
                $('html').addClass('no-csscolumns');
            }

            projects.fetch({
                headers: { 'Authorization' : uid+':'+tokenString },
                success: function(projects) {
                    var data = {
                            projects: projects.models
                        },
                        compiledTemplate = HomeTemplate(data);

                    $(that.el).html(compiledTemplate);
                    return this;
                }
            });
        }
    });

    return ProjectListView;
});
