define([
    'jquery',
    'underscore',
    'backbone',
    'collections/projects',
    'models/project',
    'assets/templates/project',
    'assets/templates/_category',
    'assets/templates/_article'
], function($, _, Backbone, ProjectsCollection, ProjectModel, ProjectTemplate, CategoryTemplate, ArticleTemplate) {
    var ProjectView = Backbone.View.extend({
        el: $("#container"),
        initialize: function(project) {
            this.id = project.id;
            this.showTasks = project.showTasks;
        },

        render: function() {
            var project = new ProjectModel(this.id),
                that = this,
                tokenString = localStorage.getItem("comm_token"),
                uid = localStorage.getItem("comm_uid");

            project.fetch({data: {id: this.id},
                url: project.url+'/'+this.id,
                headers: { 'Authorization' : uid+':'+tokenString },
                success: function() {
                    var compiledTemplate = ProjectTemplate(project.attributes);

                    $(that.el).html(compiledTemplate);

                    $("body").on("click", ".col-1 a.task", function() {
                        var $article = $(this).closest("article");

                        this.addClass("active");
                        $article.addClass("active");
                        $article.find(".col").addClass("active");
                    });

                    $("body").on("click", ".col-1 a.back", function() {
                        var $article = $(this).closest("article");

                        $article.removeClass("active");
                        $article.find(".col").removeClass("active");
                    });

                    if (that.showTasks)
                        $( document ).trigger( "myCustomEvent", [ "bim", "baz" ] );
                }});

            return this;
        }
    });

    return ProjectView;
});
