// Filename: views/users/login
define([
    'jquery',
    'underscore',
    'backbone',
    'handlebars',
    'assets/templates/_login'
], function($, _, Backbone, Handlebars, LoginTemplate) {
    var LoginView = Backbone.View.extend({
        el: $("#container"),

        initialize: function() {

        },

        events: {
            "click #loginButton": "login",
            'change input#username': 'changeUsername',
            'change input#password': 'changePassword'
        },

        changeUsername: function(e) {
            var val = $(e.currentTarget).val();
            this.model.set({'username': val});
        },

        changePassword: function(e) {
            var val = $(e.currentTarget).val();
            this.model.set({'password': val});
        },

        render:function () {
            var data = {};

            localStorage.removeItem('comm_uid');
            localStorage.removeItem('comm_token');

            this.$el.html(Handlebars.partials['_login'](data));
            return this;
        },

        login: function(event) {
            var that = this,
            obj = {
                username: this.model.get('username'),
                password: this.model.get('password')
            };

            event.preventDefault();

            this.model.save(obj, {
                success: function(model, response) {
                    localStorage.setItem('comm_token', model.get('token'));
                    localStorage.setItem('comm_uid', model.get('uid'));
                    window.location.replace('#/');
                },
                error: function (model, response) {
                    console.log("error");
                }
            });

        }
    });

    return LoginView;
});
