<?php

use RedBeanPHP\R;

class Task {

    protected $table;

    function __construct() {
        $settings = require __DIR__ . '/../settings.php';
        $this->table = $settings['settings']['db']['prefix'].'task';
    }

    public function getTasks($article = 0, $type = 0, $page = 0) {
        $result = array();
        $filter = "";

        if ($article != 0) $filter = " article_id = ".$article." AND ";

        $tasks = R::findAll( $this->table , $filter." type = $type LIMIT $page, 10 " );

        foreach ($tasks as $task)
            $result[] = array("id" => $task->id, "article" => $task->article_id, "text" => $task->text, "link" => $task->task_id);

        return $result;
    }

    public function getTask($id) {
        $task = R::load( $this->table , $id );
        $result = array("id" => $task->id, "name" => $task->text, "description" => $task->description);

//        $article = new Article();
//        $result["tasks"] = $article->getArticles($id);

        return $result;
    }

    public function saveTask($data) {
        if ($data->id == 0) {
            $task = R::xdispense( $this->table );
            $task->article_id = $data->article;
            $task->task_id = $data->link;
            $task->text = $data->text;
            $task->type = $data->type;
            $task->created_at = time();
            $task->created_by = "0";
            $task->updated_at = time();
            $task->updated_by = "0";
            R::store( $task );
            return $task;
        } else {
            $task = R::load( $this->table , $data->id );
            if ($task->task_id != $data->link || $task->text != $data->text ) {
                if ($task->text != $data->text ) {
                    $revision = new Revision();
                    $revision->saveRevision($data->id,  $task->text, $data->text);
                }
                $task->task_id = $data->link;
                $task->text = $data->text;
                $task->updated_at = time();
                $task->updated_by = "0";
                R::store( $task );
            }
            return $task;
        }
    }
}
